petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmAddPoint

Add space for one new point in the DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmAddPoint(DM dm)

Not collective

### Input parameter

dm -a DMSwarm

### Notes

The new point will have all fields initialized to zero.

### See Also

DMSwarmAddNPoints()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages